package nuts.gae.dao;

import nuts.core.dao.AbstractModelMetaData;

/**
 */
public abstract class GaeModelMetaData<T> extends AbstractModelMetaData<T> {
	/**
	 * getPropertyName
	 * @param fieldName fieldName
	 * @return property name
	 */
	public String getPropertyName(String fieldName) {
		return fieldName;
	}

	/**
	 * getFieldName
	 * @param propertyName propertyName
	 * @return field name
	 */
	public String getFieldName(String propertyName) {
		return propertyName;
	}

	/**
	 * getColumnName
	 * @param propertyName propertyName
	 * @return column name
	 */
	public String getColumnName(String propertyName) {
		return propertyName;
	}

	/**
	 * getColumnAlias
	 * @param propertyName propertyName
	 * @return column alias
	 */
	public String getColumnAlias(String propertyName) {
		return propertyName;
	}
}
